Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1825)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1826)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Renamed canopy model calls.
 ! 
 ! Former revisions:
@@ -284,5 +284,5 @@
 
     USE plant_canopy_model_mod,                                                &
-        ONLY:  cthf, plant_canopy, plant_canopy_model
+        ONLY:  cthf, plant_canopy, pcm_tendency
 
     USE production_e_mod,                                                      &
@@ -403,5 +403,5 @@
 !
 !--          Drag by plant canopy
-             IF ( plant_canopy )  CALL plant_canopy_model( i, j, 1 )
+             IF ( plant_canopy )  CALL pcm_tendency( i, j, 1 )
 
 !
@@ -462,5 +462,5 @@
 !
 !--          Drag by plant canopy
-             IF ( plant_canopy )  CALL plant_canopy_model( i, j, 2 )        
+             IF ( plant_canopy )  CALL pcm_tendency( i, j, 2 )        
 
 !
@@ -531,5 +531,5 @@
 !
 !--       Drag by plant canopy
-          IF ( plant_canopy )  CALL plant_canopy_model( i, j, 3 )
+          IF ( plant_canopy )  CALL pcm_tendency( i, j, 3 )
 
           CALL user_actions( i, j, 'w-tendency' )
@@ -586,5 +586,5 @@
 !--          Consideration of heat sources within the plant canopy
              IF ( plant_canopy  .AND.  cthf /= 0.0_wp )  THEN
-                CALL plant_canopy_model( i, j, 4 )
+                CALL pcm_tendency( i, j, 4 )
              ENDIF
 
@@ -720,5 +720,5 @@
 !
 !--          Sink or source of scalar concentration due to canopy elements
-             IF ( plant_canopy )  CALL plant_canopy_model( i, j, 5 )
+             IF ( plant_canopy )  CALL pcm_tendency( i, j, 5 )
 
 !
@@ -888,5 +888,5 @@
 !
 !--          Additional sink term for flows through plant canopies
-             IF ( plant_canopy )  CALL plant_canopy_model( i, j, 6 ) 
+             IF ( plant_canopy )  CALL pcm_tendency( i, j, 6 ) 
 
              CALL user_actions( i, j, 'e-tendency' )
@@ -982,5 +982,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 1 )
+    IF ( plant_canopy )  CALL pcm_tendency( 1 )
 
 !
@@ -1058,5 +1058,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 2 )
+    IF ( plant_canopy )  CALL pcm_tendency( 2 )
 
 !
@@ -1146,5 +1146,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 3 )
+    IF ( plant_canopy )  CALL pcm_tendency( 3 )
 
     CALL user_actions( 'w-tendency' )
@@ -1235,5 +1235,5 @@
 !--    Consideration of heat sources within the plant canopy
        IF ( plant_canopy .AND. ( cthf /= 0.0_wp ) ) THEN
-          CALL plant_canopy_model( 4 )
+          CALL pcm_tendency( 4 )
        ENDIF
 
@@ -1433,5 +1433,5 @@
 !
 !--    Sink or source of scalar concentration due to canopy elements
-       IF ( plant_canopy ) CALL plant_canopy_model( 5 )
+       IF ( plant_canopy ) CALL pcm_tendency( 5 )
 
 !
@@ -1531,4 +1531,6 @@
 
           CALL diffusion_s( qr, qrsws, qrswst, wall_qrflux )
+
+          CALL user_actions( 'qr-tendency' )
 
 !
@@ -1703,5 +1705,5 @@
 !
 !--    Additional sink term for flows through plant canopies
-       IF ( plant_canopy )  CALL plant_canopy_model( 6 )
+       IF ( plant_canopy )  CALL pcm_tendency( 6 )
        CALL user_actions( 'e-tendency' )
 
@@ -1816,5 +1818,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 1 )
+    IF ( plant_canopy )  CALL pcm_tendency( 1 )
 
 !
@@ -1883,5 +1885,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 2 )
+    IF ( plant_canopy )  CALL pcm_tendency( 2 )
 
 !
@@ -1962,5 +1964,5 @@
 !
 !-- Drag by plant canopy
-    IF ( plant_canopy )  CALL plant_canopy_model( 3 )
+    IF ( plant_canopy )  CALL pcm_tendency( 3 )
 
     CALL user_actions( 'w-tendency' )
@@ -2043,5 +2045,5 @@
 !--    Consideration of heat sources within the plant canopy
        IF ( plant_canopy .AND. ( cthf /= 0.0_wp ) ) THEN
-          CALL plant_canopy_model( 4 )
+          CALL pcm_tendency( 4 )
        ENDIF
 
@@ -2213,5 +2215,5 @@
 !
 !--    Sink or source of scalar concentration due to canopy elements
-       IF ( plant_canopy ) CALL plant_canopy_model( 5 )
+       IF ( plant_canopy ) CALL pcm_tendency( 5 )
 
 !
@@ -2435,5 +2437,5 @@
 !
 !--    Additional sink term for flows through plant canopies
-       IF ( plant_canopy )  CALL plant_canopy_model( 6 )
+       IF ( plant_canopy )  CALL pcm_tendency( 6 )
        CALL user_actions( 'e-tendency' )
 
